import { Dcomm } from "dcomm/dist"
import { EVMAPI } from "dcomm/dist/apis/evm"

const ip: string = "localhost"
const port: number = 9650
const protocol: string = "http"
const networkID: number = 1337
const dcomm: Dcomm = new Dcomm(ip, port, protocol, networkID)
const actchain: EVMAPI = dcomm.ACTChain()

const main = async (): Promise<any> => {
  const txID: string = "FCry2Z1Su9KZqK1XRMhxQS6XuPorxDm3C3RBT7hw32ojiqyvP"
  const status: string = await actchain.getAtomicTxStatus(txID)
  console.log(status)
}

main()
